Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.heuristic.selector.common
Class SelectionCacheLifecycleBridge

    java.lang.Object
      org.optaplanner.core.impl.heuristic.selector.common.SelectionCacheLifecycleBridge

All Implemented Interfaces:
  EventListener, SolverPhaseLifecycleListener, SolverLifecycleListener

    public class SelectionCacheLifecycleBridge

extends Object
implements SolverPhaseLifecycleListener

Field Summary
`protected SelectionCacheType` | `cacheType`
`protected SelectionCacheLifecycleListener` | `selectionCacheLifecycleListener`

Constructor Summary
`SelectionCacheLifecycleBridge(SelectionCacheType cacheType, SelectionCacheLifecycleListener selectionCacheLifecycleListener)`

Method Summary
`void` | `phaseEnded(AbstractSolverPhaseScope phaseScope)`
`void` | `phaseStarted(AbstractSolverPhaseScope phaseScope)`
`void` | `solvingEnded(DefaultSolverScope solverScope)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`
`void` | `stepEnded(AbstractStepScope stepScope)`
`void` | `stepStarted(AbstractStepScope stepScope)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cacheType

    protected final SelectionCacheType cacheType

### selectionCacheLifecycleListener

    protected final SelectionCacheLifecycleListener selectionCacheLifecycleListener

Constructor Detail

### SelectionCacheLifecycleBridge

    public SelectionCacheLifecycleBridge(SelectionCacheType cacheType,
                                         SelectionCacheLifecycleListener selectionCacheLifecycleListener)

Method Detail

### solvingStarted

    public void solvingStarted(DefaultSolverScope solverScope)

  Specified by:
    `solvingStarted` in interface `SolverLifecycleListener`

### phaseStarted

    public void phaseStarted(AbstractSolverPhaseScope phaseScope)

  Specified by:
    `phaseStarted` in interface `SolverPhaseLifecycleListener`

### stepStarted

    public void stepStarted(AbstractStepScope stepScope)

  Specified by:
    `stepStarted` in interface `SolverPhaseLifecycleListener`

### stepEnded

    public void stepEnded(AbstractStepScope stepScope)

  Specified by:
    `stepEnded` in interface `SolverPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(AbstractSolverPhaseScope phaseScope)

  Specified by:
    `phaseEnded` in interface `SolverPhaseLifecycleListener`

### solvingEnded

    public void solvingEnded(DefaultSolverScope solverScope)

  Specified by:
    `solvingEnded` in interface `SolverLifecycleListener`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.